# Generated by Django 3.1.7 on 2021-03-29 17:40

from base64 import b64encode, urlsafe_b64decode

from django.db import migrations


def fill_raw_id_from_credential_id(apps, schema_editor):
    WebAuthnCredential = apps.get_model("webauth", "WebAuthnCredential")
    for row in WebAuthnCredential.objects.all():
        credential_id = row.credential_id
        padding = 4 - (len(credential_id) % 4)
        credential_id += ("=" * padding)
        row.raw_id = b64encode(urlsafe_b64decode(credential_id)).decode()
        row.save(update_fields=['raw_id'])


class Migration(migrations.Migration):

    dependencies = [
        ('webauth', '0004_webauthncredential_raw_id'),
    ]

    operations = [
        migrations.RunPython(fill_raw_id_from_credential_id, reverse_code=migrations.RunPython.noop),
    ]
